using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Text:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Text
	{
		public Dd_Text()
		{}
		#region Model
		private int _text_id;
		private int _user_id;
		private string _text_title;
		private string _text_content;
		private string _text_tag;
		private int? _text_originid;
		private int? _text_publishmode=1;
		private bool? _text_puttop= false;
		private int? _text_fever=0;
		private string _text_guid;
		private DateTime? _text_datetime= DateTime.Now;
		private DateTime? _text_updatetime= DateTime.Now;
		private int? _text_verify;
		private int? _text_lock;
		private int? _text_state;
		private int? _text_delete;
		private int? _text_count;
		private int? _text_order=0;
		private string _text_remark;
		private string _text_empty;
		/// <summary>
		/// 
		/// </summary>
		public int Text_ID
		{
			set{ _text_id=value;}
			get{return _text_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Title
		{
			set{ _text_title=value;}
			get{return _text_title;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Content
		{
			set{ _text_content=value;}
			get{return _text_content;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Tag
		{
			set{ _text_tag=value;}
			get{return _text_tag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_OriginId
		{
			set{ _text_originid=value;}
			get{return _text_originid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_PublishMode
		{
			set{ _text_publishmode=value;}
			get{return _text_publishmode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool? Text_PutTop
		{
			set{ _text_puttop=value;}
			get{return _text_puttop;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_Fever
		{
			set{ _text_fever=value;}
			get{return _text_fever;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Guid
		{
			set{ _text_guid=value;}
			get{return _text_guid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Text_Datetime
		{
			set{ _text_datetime=value;}
			get{return _text_datetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? Text_UpDatetime
		{
			set{ _text_updatetime=value;}
			get{return _text_updatetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_Verify
		{
			set{ _text_verify=value;}
			get{return _text_verify;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_Lock
		{
			set{ _text_lock=value;}
			get{return _text_lock;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_State
		{
			set{ _text_state=value;}
			get{return _text_state;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_Delete
		{
			set{ _text_delete=value;}
			get{return _text_delete;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Text_Count
		{
			set{ _text_count=value;}
			get{return _text_count;}
		}
		/// <summary>
		/// 类型文章（0）
		/// </summary>
		public int? Text_Order
		{
			set{ _text_order=value;}
			get{return _text_order;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Remark
		{
			set{ _text_remark=value;}
			get{return _text_remark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Text_Empty
		{
			set{ _text_empty=value;}
			get{return _text_empty;}
		}
		#endregion Model

	}
}

